Is there a specific reason for NXP to stop supporting X11?

cancel
Showing results for 
Search instead for 
Did you mean: 

Is there a specific reason for NXP to stop supporting X11?

132 Views
Contributor I

Hi 

In the document i.MX_Yocto_Project_User's_Guide.pdf of Rev. L4.19.35_1.1.0,  it said: Note that fsl-imx-x11 and fsl-imx-fb are not supported on i.MX 8 and L4.19.35_1.1.0 will be the last release to support X11.

Does that mean all the kernel versions after this one will not be able to get support on X11? 

Actually this will affect our running product which relay on X11 components.

If the answer is yes (NXP will no longer provide X11 support), is there a specific reason beneath this decision? 

And what is your suggestions for us to keep our updated with latest kernel version with least efforts?

Best Regards

Charlie

Labels (1)
0 Kudos
6 Replies

4 Views
Contributor I

Hi Rita,

As to my last question: 

3\And if you can add some explanation for the reason why you decide to stop X11 support would be much appriciated. It will help us make decisions better.

can you please help to forward to someone you know who can provide more detailed explanation? 

Many thanks.

Best regards

Charlie

0 Kudos

4 Views
Contributor I

Hi Rita,

Thanks for your reply.

We are now using i.MX6Q and we may consider to use i.MX8 series in the future.

So X11 support for i.MX6Q and i.MX8 both are very important for us. 

When your are saying L4.19.35_1.1.0 will be the last release to support X11, does it mean support for X11 will end both for i.MX6 and i.MX8?

If X11 will not be supported, does it mean we have to switch to wayland or is there some other options?

And if you can add some explanation for the reason why you decide to stop X11 support would be much appriciated. It will help us make decisions better.

Br.

Charlie

0 Kudos

4 Views
NXP TechSupport
NXP TechSupport

For your above questions:

1\When your are saying L4.19.35_1.1.0 will be the last release to support X11, does it mean support for X11 will end both for i.MX6 and i.MX8?

 Yes, in our user guide you also can see it. In our default BSP X11 applications using EGL are not supported. But if you want to use you need to porting yourself.

2\If X11 will not be supported, does it mean we have to switch to wayland or is there some other options?

It's mean in our BSP it do not support. If you wanted to use you can poring yourself.

Wayland weston is sopport.

 

3\And if you can add some explanation for the reason why you decide to stop X11 support would be much appriciated. It will help us make decisions better.

Destails stop it I do not know, In my opinion the reason maybe the less customer need it in the future.

Hope can do help for you.

Have a nice day

Best Regards

Rita

0 Kudos

4 Views
NXP TechSupport
NXP TechSupport

Which product are you using? i.MX6Q or i.MX8 series?

0 Kudos

4 Views
Contributor I

Hi 

This quesion is very critical for us to do technical decision for our product. 

I appriciate a lot if anyone can help.

Thanks a lot.

0 Kudos

4 Views
NXP TechSupport
NXP TechSupport

Sorry for late reply. Yes, in our document you already see that:

Note that fsl-imx-x11 and fsl-imx-fb are not supported on i.MX 8 and L4.19.35_1.1.0 will be the last release to support X11.

So sorry about that. If you want to use, you have to realize yourself.

0 Kudos